Bug 430573 - Nautilus freezes on session start for a minute
Nautilus freezes on session start for a minute
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 15:41 EST by markm
Modified: 2015-03-03 17:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 06:22:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description markm 2008-01-28 15:41:09 EST
Description of problem:

When I start a session, nautilus freezes for a minute or two. When I kill
nautilus, it freezes for ~10-15 seconds and after that becomes responsible.

Version-Release number of selected component (if applicable):

nautilus-2.20.0-6.fc8@i386

How reproducible:

always on two different laptops (Dell Vostro 1500 & Dell XPS M1330)
  
Additional info:

I have a third laptop (Dell Latitude D620) and on that one nautilus works fine...
Comment 1 Tomáš Bžatek 2008-02-21 10:52:18 EST
Could you please provide more info, e.g. output of mount and lspci commands?
Also please make sure the hal daemon is running. I suspect an invalid mount or
special kind of device blocking system (could be an USB connected device).

Also please make sure you have all Fedora 8 updates installed.
Comment 2 markm 2008-03-11 11:44:07 EDT
[root@Mareg ~]# mount
/dev/sda2 on / type xfs (rw)
proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/sda3 on /home type xfs (rw)
/dev/sda1 on /boot type ext3 (rw)
tmpfs on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
[root@Mareg ~]# 

[root@Mareg ~]# lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT
Express Memory Controller Hub (rev 03)
00:01.0 PCI bridge: Intel Corporation Mobile 945GM/PM/GMS, 943/940GML and 945GT
Express PCI Express Root Port (rev 03)
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition
Audio Controller (rev 01)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 01)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2
(rev 01)
00:1c.2 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 3
(rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge
(rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE
Controller (rev 01)
00:1f.3 SMBus: Intel Corporation 82801G (ICH7 Family) SMBus Controller (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation G72M [Quadro NVS
110M/GeForce Go 7300] (rev a1)
03:01.0 CardBus bridge: O2 Micro, Inc. OZ601/6912/711E0 CardBus/SmartCardBus
Controller (rev 40)
09:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5752 Gigabit
Ethernet PCI Express (rev 02)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG Network
Connection (rev 02)
[root@Mareg ~]# 

yes, my system is up2dated, I do not have usb drives connected during startup.
Comment 3 Bug Zapper 2008-11-26 04:36:47 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 markm 2008-11-27 06:08:32 EST
Fedora 10 on Dell D620, can confirm it happens as well - sometimes Gnome loads instantly, other times it takes 10-15 seconds to do anything - I can see only background and move the mouse, hard drive is not working (no green light flashing) - seems like is doing nothing then suddenly rapidly everything shows up.

I am using fusion-icon to start compiz-fusion effects (as default compiz does not include fusion efects) and I have removed from my session auto updating folder names or update buddy.
Comment 5 markm 2008-12-01 06:37:20 EST
Fedora 10 on Dell Precision M4300 - just upgraded from Fedora 8 to Fedora 10 (fresh install) and it happens every time. Did couple of tests. Nothing is mounted (no dvd, no usb stick) and the delay is noticeable - about 20-40 seconds - even mouse animation is frozen during that time, then suddenly everything works fine. 

[root@m4300 ~]# mount
/dev/sda2 on / type ext3 (rw)
/proc on /proc type proc (rw)
sysfs on /sys type sysfs (rw)
devpts on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/sda4 on /home type xfs (rw)
/dev/sda1 on /boot type ext3 (rw)
tmpfs on /dev/shm type tmpfs (rw)
none on /proc/sys/fs/binfmt_misc type binfmt_misc (rw)
sunrpc on /var/lib/nfs/rpc_pipefs type rpc_pipefs (rw)
gvfs-fuse-daemon on /home/marek/.gvfs type fuse.gvfs-fuse-daemon (rw,nosuid,nodev,user=marek)
[root@m4300 ~]# 


[root@m4300 ~]# lspci 
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 02)
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f2)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 02)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 02)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation Quadro FX 360M (rev a1)
03:01.0 CardBus bridge: O2 Micro, Inc. Cardbus bridge (rev 21)
03:01.4 FireWire (IEEE 1394): O2 Micro, Inc. Firewire (IEEE 1394) (rev 02)
09:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5755M Gigabit Ethernet PCI Express (rev 02)
0c:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61)
[root@m4300 ~]# 

smolt profile:

http://www.smolts.org/client/show/pub_970fc66d-cf08-4af3-96d7-68a2a3bc1abf
Comment 6 Bug Zapper 2009-11-18 05:09:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 markm 2009-11-24 11:28:39 EST
Just found out that compiz is responsible for the "lag". When I enable compiz, it my computer hangs for 10-20 seconds at 100% CPU usage and is not responding, but after a while it works fine.

So when I disable compiz and restart my computer, profile loads almost instantly, when compiz is enabled, I have to wait 10-20 seconds.

And that only happens on one of my three machines, which is Dell precision m4300 with nvidia card, the other two (Dell Latitude d620 with nvidia on board and Dell Latitude 430 with intel) are not affected at all.

I can reproduce it everytime on Fedora 12.
Comment 8 Tomáš Bžatek 2009-11-25 04:43:14 EST
Marek, what X.org driver do you use? Have you tried nouveau? There are known problems with binary nvidia drivers.

Also, running 'top' and sorting by CPU time would easily show you processes which have eaten CPU lately.
Comment 9 markm 2009-11-25 05:37:47 EST
(In reply to comment #8)
> Marek, what X.org driver do you use? Have you tried nouveau? There are known
> problems with binary nvidia drivers.

Thank you, nouveau is not an option as it does not provide any 3D support. Your statement is suggesting there is no problem with nouveau drivers, while in fact nouveau driver still has more problems than nvidia binary one - first of all it prevents nvidia drivers to be loaded correctly, then it does not support 3D acceleration at all. I support nouveau's development, but as for now it's unusable for me. My screen has resolution 1680x1050 pixels and I use external screen (1680x1050 too) and nouveau's performance is very poor, so even in 2D it's not usable.

> Also, running 'top' and sorting by CPU time would easily show you processes
> which have eaten CPU lately.  

Yep, Xorg jumps to 99%, then for 10-15 seconds there is no change to the screen (and all windows have no borders)... than suddenly everything is back to normal and Xorg uses 1-2% of CPU.

I must say, there is an improvement, in Fedora 10 it used to take up to 1 minute ;)
Comment 10 Tomáš Bžatek 2009-11-25 06:00:16 EST
(In reply to comment #9)
> first of all it prevents nvidia drivers to be loaded correctly
Yes, that's correct, both drivers are binding the same device, you need to make sure only one of them is loaded at a time. For decent 2D performance with nouveau, you need nouveau drm kernel module to be active. Anyway, I'm not a xorg maintainer, just running nouveau on Quadro NVS 290 here and it works pretty nice.

> Yep, Xorg jumps to 99%, then for 10-15 seconds there is no change to the screen
> (and all windows have no borders)... than suddenly everything is back to normal
> and Xorg uses 1-2% of CPU.
That might be caused by a background fade together with a bug in nvidia drivers (especially when running multi-monitor configuration). I'm not aware of any option to turn fading off.

So, if you are sure this is caused by proprietary nvidia drivers and there's no issue somewhere else, please close this bug as WONTFIX. 
http://fedoraproject.org/wiki/Xorg/3rdPartyVideoDrivers

You might also find this wiki page useful for your case: https://fedoraproject.org/wiki/JaroslavReznik/NVidiaKDE4
Comment 12 markm 2009-11-25 06:22:33 EST
Thanks Tomáš for these links, will read them.

Anyway, I do understand why Fedora cannot ship nvidia drivers, yet not sure why Fedora is ignoring their existence? My common sense tells me that Fedora should at least help nvidia to make their drivers work well. Nouveau driver is still not an option for many users and forcing them to use nouveau drivers and braking Xorg in the way nvidia drivers won't work properly... it really puts me off. I use Fedora at work and I don't really have time to play with nouveau drivers... and yes, since my upgrade to Fedora 12 I cannot use my second screen.

Thanks anyway.

Note You need to log in before you can comment on or make changes to this bug.